Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.dmg.domain
Class DMGReferences

    java.lang.Object
      be.ehealth.businessconnector.dmg.domain.DMGReferences

All Implemented Interfaces:
  Serializable

    public final class DMGReferences

extends Object
implements Serializable

Class containing all the references needed by ChapterIV.

See Also:
  Serialized Form

Constructor Summary
`DMGReferences(boolean init)`
`DMGReferences(String id)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getBlobId()`
`String` | `getInputReference()`
`String` | `getKmehrIdSuffix()`
`int` | `hashCode()`
`void` | `setBlobId(String blobId)`
`void` | `setInputReference(String inputReference)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DMGReferences

    public DMGReferences(boolean init)
                  throws TechnicalConnectorException

Parameters:
  `init` - if you want to prefill the differents ids (commonReference, recordCommonInput and kmerIdSuffix) with generated values, init must be true
Throws:
  `TechnicalConnectorException`

### DMGReferences

    public DMGReferences(String id)

Parameters:
  `id` - all the references expect commonNIPReference are created with this value.

Method Detail

### getInputReference

    public String getInputReference()

  Returns:
    the inputReference

### setInputReference

    public void setInputReference(String inputReference)

  Parameters:
    `inputReference` - the inputReference to set

### getKmehrIdSuffix

    public String getKmehrIdSuffix()

  Returns:
    the kmehrIdSuffix

### getBlobId

    public String getBlobId()

  Returns:
    the blobId

### setBlobId

    public void setBlobId(String blobId)

  Parameters:
    `blobId` - the blobId to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.